> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get kyc



## OpenAPI

````yaml /openapi-readme.json get /kyc/{formId}
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /kyc/{formId}:
    get:
      tags:
        - kyc
      operationId: get_kyc_form
      parameters:
        - schema:
            type: string
            default: en
          in: query
          name: lang
          required: false
        - schema:
            type: string
          in: path
          name: formId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  sections:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        order:
                          type: number
                        questions:
                          type: array
                          items:
                            type: object
                            properties:
                              locale:
                                type: string
                              name:
                                type: string
                              label:
                                type: string
                              default_value:
                                type: string
                              type:
                                type: string
                                enum:
                                  - text
                                  - select
                                  - checkbox
                                  - dob
                                  - caption
                                  - hidden
                                  - file
                                  - radio
                                  - number
                                  - document
                              required:
                                type: boolean
                              order:
                                type: number
                              answer_logic:
                                default: []
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    condition:
                                      type: string
                                  required:
                                    - name
                                    - condition
                                  additionalProperties: false
                              show_if:
                                type: string
                              options:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    value:
                                      type: string
                                    label:
                                      type: string
                                    metadata:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                  required:
                                    - value
                                  additionalProperties: false
                              published:
                                type: boolean
                            required:
                              - locale
                              - name
                              - label
                              - type
                              - required
                              - order
                              - answer_logic
                              - published
                            additionalProperties: false
                      required:
                        - id
                        - order
                        - questions
                      additionalProperties: false
                required:
                  - id
                  - sections
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.